Package org.apache.sling.commons.testing.sling

# Class MockRequestProgressTracker

java.lang.Object
org.apache.sling.commons.testing.sling.MockRequestProgressTracker

All Implemented Interfaces:
  `org.apache.sling.api.request.RequestProgressTracker`

public class MockRequestProgressTracker extends Object implements org.apache.sling.api.request.RequestProgressTracker

## Constructor Summary

Constructors
Constructor
Description
`MockRequestProgressTracker()`

## Method Summary

Modifier and Type
Method
Description
`void`
`done()`
`void`
`dump(PrintWriter writer)`
`Iterator<String>`
`getMessages()`
`void`
`log(String message)`
`void`
`log(String format, Object... args)`
`void`
`logTimer(String timerName)`
`void`
`logTimer(String timerName, String format, Object... args)`
`void`
`startTimer(String timerName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.api.request.RequestProgressTracker

`getDuration`

## Constructor Details

### MockRequestProgressTracker

public MockRequestProgressTracker()

## Method Details

### dump

public void dump(PrintWriter writer)

Specified by:
  `dump` in interface `org.apache.sling.api.request.RequestProgressTracker`

### getMessages

public Iterator<String> getMessages()

Specified by:
  `getMessages` in interface `org.apache.sling.api.request.RequestProgressTracker`

### log

public void log(String message)

Specified by:
  `log` in interface `org.apache.sling.api.request.RequestProgressTracker`

### log

public void log(String format, Object... args)

Specified by:
  `log` in interface `org.apache.sling.api.request.RequestProgressTracker`

### logTimer

public void logTimer(String timerName)

Specified by:
  `logTimer` in interface `org.apache.sling.api.request.RequestProgressTracker`

### logTimer

public void logTimer(String timerName, String format, Object... args)

Specified by:
  `logTimer` in interface `org.apache.sling.api.request.RequestProgressTracker`

### startTimer

public void startTimer(String timerName)

Specified by:
  `startTimer` in interface `org.apache.sling.api.request.RequestProgressTracker`

### done

public void done()

Specified by:
  `done` in interface `org.apache.sling.api.request.RequestProgressTracker`